NXCONVERT(1)

NAME
nxconvert - convert a NeXus file between different on disk file formats

SYNOPSIS
nxconvert [-x|-h 4|-h 5|-d|-o keepws|-o table] [infile [outfile]]

DESCRIPTION
NeXus supports different file formats for physical storage on disk or other media. nxconvert allows the user to convert a file to a different backend.

If no output file is supplied on the command line, the program asks for one interactively. Same if the input file is not given.

OPTIONS
The following options are supported:

-x  create XML output

-h 4
    create HDF4 output

-h 5
    create HDF5 output

-d  make a XML based definition file used for validating NeXus files (i.e. remove the data).

-o keepws
    the XML file created should preserve whitespace.

-o table
    the XML file created should write the data in a table format where the columns and rows are easily imported into spreadsheet programs.

SEE ALSO
http://www.nexusformat.org

AUTHOR
nxconvert was originally written by Freddie Akeroyd and Ray Osborn.

This manual page was written by Tobias Richter <Tobias.Richter@diamond.ac.uk> and may be used by others.